@import '../../../old-styles/index.scss';

/**
 * Different states
 */
%focus-state {
  &.focus {
    ::ng-deep .tox-tinymce {
      border: 1px solid #0075a3;
      box-shadow: 0 0 0 0.2rem #b2e0f3;
    }
  }
}

%error-state {
  &.error {
    ::ng-deep .tox-tinymce {
      border: 1px solid #d42f30;
      box-shadow: 0 0 0 0.2rem #d42f304d;

      .tox-edit-area {
        &:after {
          font-family: relatient, sans-serif;
          font-size: 12px;
          position: absolute;
          top: 9px;
          right: 9px;
          padding-left: 10px;
          content: '\e907';
          color: #d42f30;
          background: white;
        }
      }
    }

    .helper-text {
      color: #d42f30;
    }
  }
}

%success-state {
  &.success {
    ::ng-deep .tox-tinymce {
      border: 1px solid #208837;
      box-shadow: 0 0 0 0.2rem #2088374d;

      .tox-edit-area {
        &:after {
          font-family: relatient, sans-serif;
          font-size: 12px;
          position: absolute;
          top: 9px;
          right: 9px;
          padding-left: 10px;
          content: '\e906';
          color: #208837;
          background: white;
        }
      }
    }
  }
}

/**
 * Custom editor component
 */
.custom-editor-component {
  @extend %focus-state;
  @extend %error-state;
  @extend %success-state;

  .header {
    display: flex;
    align-items: center;
    justify-content: space-between;

    .required {
      font: 400 20px/22px Lato;
      margin-right: 6px;
      color: #d42f30;
    }

    .label {
      font: 400 16px/19px Lato;
      color: #263940;
    }
  }

  ::ng-deep .tox-tinymce {
    border-radius: 4px;

    .tox-editor-container {
      .tox-editor-header {
        .tox-toolbar__primary {
          border-bottom: 1px solid #c9cacb;
          background: #f1f2f2;
          height: 40px;
        }

        .tox-toolbar__group {
          padding: 0 10px;
          border-right: 1px solid #c9cacb;
        }

        .tox-tbtn--select {
          user-select: none;
          background: #ffffff;
          border: 1px solid #C9CACB;
          font-family: Lato, sans-serif;
          font-style: normal;
          font-weight: normal;
          font-size: 14px;
          line-height: 17px;
          color: #76797B;
          height: 22px;

          .tox-tbtn__select-chevron {

            &:before {
              font-family: 'primeicons';
              speak: none;
              font-style: normal;
              font-weight: normal;
              font-variant: normal;
              text-transform: none;
              line-height: 1;
              display: inline-block;
              -webkit-font-smoothing: antialiased;
              content: "\e906";
            }

            svg {
              display: none;
            }
          }
        }
      }
    }
  }

  .helper-text {
    font: 400 16px/20px Lato;
    margin-top: 6px;
    margin-left: 14px;
  }
}
